# Uses of Interface
org.eclipse.birt.chart.model.Chart

Packages that use Chart
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.
org.eclipse.birt.chart.script

## Uses of Chart in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Chart
Modifier and Type
Method
Description
`Chart`
PlotComputation.`getModel()`
Methods in org.eclipse.birt.chart.computation with parameters of type Chart
Modifier and Type
Method
Description
`Size`
LegendBuilder.`compute(IDisplayServer xs, Chart cm, SeriesDefinition[] seda, RunTimeContext rtc)`
Computes the size of the legend.
Constructors in org.eclipse.birt.chart.computation with parameters of type Chart
Modifier
Constructor
Description
``
`PlotComputation(IDisplayServer ids, RunTimeContext rtc, Chart cm)`

## Uses of Chart in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return Chart
Modifier and Type
Method
Description
`Chart`
OneAxis.`getChartModel()`

## Uses of Chart in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device that return Chart
Modifier and Type
Method
Description
`Chart`
EmptyUpdateNotifier.`getDesignTimeModel()`
`Chart`
IUpdateNotifier.`getDesignTimeModel()`
Returns an instance of the chart design-time model
`Chart`
EmptyUpdateNotifier.`getRunTimeModel()`
`Chart`
IUpdateNotifier.`getRunTimeModel()`
Returns an instance of the chart run-time model for the last generated instance
Constructors in org.eclipse.birt.chart.device with parameters of type Chart
Modifier
Constructor
Description
``
`EmptyUpdateNotifier(Chart designModel, Chart runtimeModel)`
The constructor.

## Uses of Chart in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory that return Chart
Modifier and Type
Method
Description
`Chart`
GeneratedChartState.`getChartModel()`
Returns an instance of the source chart model associated with the built chart content.
`Chart`
RunTimeContext.`getDefaultValueChart()`
Returns instance of default value chart.
Methods in org.eclipse.birt.chart.factory with parameters of type Chart
Modifier and Type
Method
Description
`void`
Generator.`bindData(ResultSet resultSet, Chart chart, RunTimeContext rtc)`
Binds a sql Resuset to a chart model.
`void`
Generator.`bindData(IDataRowExpressionEvaluator expressionEvaluator, IActionEvaluator iae, Chart chart, RunTimeContext rtc)`
Binds data to the chart model using a row expression evaluator.
`void`
Generator.`bindData(IDataRowExpressionEvaluator expressionEvaluator, Chart chart, RunTimeContext rtc)`
Binds data to the chart model using a row expression evaluator.
`void`
IGenerator.`bindData(ResultSet resultSet, Chart chart, RunTimeContext rtc)`
Binds a sql Resuset to a chart model.
`void`
IGenerator.`bindData(IDataRowExpressionEvaluator expressionEvaluator, IActionEvaluator iae, Chart chart, RunTimeContext rtc)`
Binds data to the chart model using a row expression evaluator.
`void`
IGenerator.`bindData(IDataRowExpressionEvaluator expressionEvaluator, Chart chart, RunTimeContext rtc)`
Binds data to the chart model using a row expression evaluator.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, Bounds bo, RunTimeContext rtc)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, org.mozilla.javascript.Scriptable scParent, Bounds bo, RunTimeContext rtc)`
Deprecated.
use `Generator.build(IDisplayServer, Chart, Bounds, IExternalContext, RunTimeContext)` instead.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, org.mozilla.javascript.Scriptable scParent, Bounds bo, RunTimeContext rtc, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor)`
Deprecated.
use `Generator.build(IDisplayServer, Chart, Bounds, IExternalContext, RunTimeContext, IStyleProcessor)` instead.
`GeneratedChartState`
IGenerator.`build(IDisplayServer ids, Chart cmDesignTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
IGenerator.`build(IDisplayServer ids, Chart cmDesignTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`List<String>`
Generator.`getRowExpressions(Chart cm)`
This retrieves all the data row related expressions stored in the chart model.
`List<String>`
Generator.`getRowExpressions(Chart cm, IActionEvaluator iae)`
This retrieves all the row expressions stored in the chart model.
`List<String>`
Generator.`getRowExpressions(Chart cm, IActionEvaluator iae, boolean needChangeValueExpr)`
This retrieves all the row expressions stored in the chart model.
`RunTimeContext`
Generator.`prepare(Chart model, IExternalContext externalContext, IScriptClassLoader iscl, com.ibm.icu.util.ULocale locale)`
Since v2, it must be called before build( ), and should only be called once per design model.
`RunTimeContext`
Generator.`prepare(Chart model, IExternalContext externalContext, IScriptClassLoader iscl, Locale locale)`
Deprecated.
use `Generator.prepare(Chart, IExternalContext, IScriptClassLoader, ULocale)` instead.
`RunTimeContext`
IGenerator.`prepare(Chart model, IExternalContext externalContext, IScriptClassLoader iscl, com.ibm.icu.util.ULocale locale)`
Since v2, it must be called before build( ), and should only be called once per design model.
`void`
Generator.`prepareStyles(Chart model, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor)`
Prepare all default styles for various StyledComponent.
`void`
Generator.`prepareStyles(Chart model, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor, RunTimeContext rtc)`
Prepare all default styles for various StyledComponent.
`void`
RunTimeContext.`setDefaultValueChart(Chart cm)`
Sets instance of default value chart.

## Uses of Chart in org.eclipse.birt.chart.model

Subinterfaces of Chart in org.eclipse.birt.chart.model
Modifier and Type
Interface
Description
`interface`
`ChartWithAxes`
A representation of the model object 'Chart With Axes'.
`interface`
`ChartWithoutAxes`
A representation of the model object 'Chart Without Axes'.
`interface`
`DialChart`
A representation of the model object 'Dial Chart'.
Methods in org.eclipse.birt.chart.model that return Chart
Modifier and Type
Method
Description
`Chart`
Chart.`copyInstance()`
`Chart`
ModelFactory.`createChart()`
Returns a new object of class 'Chart'.
`Chart`
Serializer.`fromXml(ByteArrayInputStream byaIS, boolean bStripHeaders)`
Reads the chart model from the ByteArrayInputStream.
`Chart`
Serializer.`read(InputStream is)`
Reads the chart model from the given InputStream
`Chart`
Serializer.`read(org.eclipse.emf.common.util.URI uri)`
Reads the chart model from the location defined by the URI provided.
`Chart`
Serializer.`readEmbedded(org.eclipse.emf.common.util.URI uri)`
Reads the chart model embedded inside other XML content defined by the URI provided.
Methods in org.eclipse.birt.chart.model with parameters of type Chart
Modifier and Type
Method
Description
`ByteArrayOutputStream`
Serializer.`asXml(Chart cModel, boolean bStripHeaders)`
Write the chart described by the model to a ByteArrayOutputStream.
`void`
Serializer.`write(Chart cModel, OutputStream os)`
Write the chart described by the model to the OutputStream provided.
`void`
Serializer.`write(Chart cModel, org.eclipse.emf.common.util.URI uri)`
Write the chart described by the model to the location defined by the URI provided.

## Uses of Chart in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component with parameters of type Chart
Modifier and Type
Method
Description
`void`
Series.`translateFrom(Series sourceSeries, int iSeriesDefinitionIndex, Chart chart)`
This method should modify the series instance to extract whatever information it can from the series provided...updating the model if necessary.

## Uses of Chart in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl with parameters of type Chart
Modifier and Type
Method
Description
`void`
SeriesImpl.`translateFrom(Series sourceSeries, int iSeriesDefinitionIndex, Chart chart)`

## Uses of Chart in org.eclipse.birt.chart.model.impl

Classes in org.eclipse.birt.chart.model.impl that implement Chart
Modifier and Type
Class
Description
`class`
`ChartImpl`
An implementation of the model object ' Chart'.
`class`
`ChartWithAxesImpl`
An implementation of the model object ' Chart With Axes'.
`class`
`ChartWithoutAxesImpl`
An implementation of the model object 'Chart Without Axes'.
`class`
`DialChartImpl`
An implementation of the model object 'Dial Chart'.
Methods in org.eclipse.birt.chart.model.impl that return Chart
Modifier and Type
Method
Description
`Chart`
ChartImpl.`copyInstance()`
`Chart`
ModelFactoryImpl.`createChart()`
`Chart`
SerializerImpl.`fromXml(ByteArrayInputStream byais, boolean bStripHeaders)`
`Chart`
SerializerImpl.`read(InputStream is)`
`Chart`
SerializerImpl.`read(org.eclipse.emf.common.util.URI uri)`
`Chart`
SerializerImpl.`readEmbedded(org.eclipse.emf.common.util.URI uri)`
Methods in org.eclipse.birt.chart.model.impl with parameters of type Chart
Modifier and Type
Method
Description
`ByteArrayOutputStream`
SerializerImpl.`asXml(Chart cModel, boolean bStripHeaders)`
`void`
SerializerImpl.`write(Chart cModel, OutputStream os)`
`void`
SerializerImpl.`write(Chart cModel, org.eclipse.emf.common.util.URI uri)`

## Uses of Chart in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout with parameters of type Chart
Modifier and Type
Method
Description
`Size`
Block.`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`
Computes and returns the size of the title block based on the text content and its attributes
`void`
Legend.`updateLayout(Chart cm)`
Update the legend's block relationship in the hierarchy w.r.t.

## Uses of Chart in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type Chart
Modifier and Type
Method
Description
`Size`
BlockImpl.`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`
`final Size`
LabelBlockImpl.`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`
`final Size`
LegendImpl.`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`
`final void`
LegendImpl.`updateLayout(Chart cm)`

## Uses of Chart in org.eclipse.birt.chart.model.type.impl

Methods in org.eclipse.birt.chart.model.type.impl with parameters of type Chart
Modifier and Type
Method
Description
`void`
AreaSeriesImpl.`translateFrom(Series series, int iSeriesDefinitionIndex, Chart chart)`
`void`
BarSeriesImpl.`translateFrom(Series series, int iSeriesDefinitionIndex, Chart chart)`
`void`
LineSeriesImpl.`translateFrom(Series series, int iSeriesDefinitionIndex, Chart chart)`
`void`
StockSeriesImpl.`translateFrom(Series series, int iSeriesDefinitionIndex, Chart chart)`

## Uses of Chart in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return Chart
Modifier and Type
Method
Description
`final Chart`
BaseRenderer.`getModel()`
Methods in org.eclipse.birt.chart.render with parameters of type Chart
Modifier and Type
Method
Description
`static final BaseRenderer[]`
BaseRenderer.`instances(Chart cm, RunTimeContext rtc, PlotComputation oComputations)`
This method returns appropriate renders for the given chart model.
`void`
AxesRenderer.`set(Chart _cm, PlotComputation _o, Series _se, Axis _ax, SeriesDefinition _sd)`
`void`
BaseRenderer.`set(Chart _cm, PlotComputation _oComputation, Series _se, SeriesDefinition _sd)`
Sets the context information for current renderer.
Constructors in org.eclipse.birt.chart.render with parameters of type Chart
Modifier
Constructor
Description
``
`DeferredCache(IDeviceRenderer idr, Chart c, int cacheIndex)`
The constructor.
``
`DeferredCacheManager(IDeviceRenderer idr, Chart chart)`
Constructor of the class.

## Uses of Chart in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script that return Chart
Modifier and Type
Method
Description
`Chart`
ChartScriptContext.`getChartInstance()`
`Chart`
IChartScriptContext.`getChartInstance()`
Methods in org.eclipse.birt.chart.script with parameters of type Chart
Modifier and Type
Method
Description
`void`
ChartEventHandlerAdapter.`afterComputations(Chart cm, PlotComputation oComputations)`
`void`
IChartEventHandler.`afterComputations(Chart cm, PlotComputation oComputations)`
Called after computations of chart model.
`void`
ChartEventHandlerAdapter.`beforeComputations(Chart cm, PlotComputation oComputations)`
`void`
IChartEventHandler.`beforeComputations(Chart cm, PlotComputation oComputations)`
Called before computations of chart model.
`void`
ChartEventHandlerAdapter.`beforeGeneration(Chart cm, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeGeneration(Chart cm, IChartScriptContext icsc)`
Called before generation of chart model to GeneratedChartState.
`void`
ChartScriptContext.`setChartInstance(Chart cm)`
Binding the script context with the chart instance
`void`
ScriptHandler.`setDesignTimeModel(Chart cmDesignTime)`
Deprecated.
Not used anymore.
`void`
ScriptHandler.`setRunTimeModel(Chart cmRunTime)`
Deprecated.
Not used anymore.